%define pkg_name    build-pandoc
%define pkg_version 2.2.2
%define pkg_release 1%{?_dist_release}

Summary: Haskell libraries: %{pkg_name} and dependent libraries
Name:    libghc-%{pkg_name}
Version: %{pkg_version}
Release: %{pkg_release}

License: BSD3
Group:   Applications/Text
URL:     http://hackage.haskell.org

Source0: packages

Source11: Glob-0.9.2.tar.gz
Source12: Glob.cabal
Source13: HsYAML-0.1.1.2.tar.gz
Source14: HsYAML.cabal
Source15: JuicyPixels-3.3.tar.gz
Source16: JuicyPixels.cabal
Source17: SHA-1.6.4.4.tar.gz
Source18: SHA.cabal
Source19: base64-bytestring-1.0.0.1.tar.gz
Source20: base64-bytestring.cabal
Source21: blaze-markup-0.8.2.1.tar.gz
Source22: blaze-markup.cabal
Source23: cmark-gfm-0.1.4.tar.gz
Source24: cmark-gfm.cabal
Source25: cmdargs-0.10.20.tar.gz
Source26: cmdargs.cabal
Source27: colour-2.3.4.tar.gz
Source28: colour.cabal
Source29: data-default-instances-containers-0.0.1.tar.gz
Source30: data-default-instances-containers.cabal
Source31: data-default-instances-dlist-0.0.1.tar.gz
Source32: data-default-instances-dlist.cabal
Source33: data-default-instances-old-locale-0.0.1.tar.gz
Source34: data-default-instances-old-locale.cabal
Source35: digest-0.0.1.2.tar.gz
Source36: digest.cabal
Source37: fail-4.9.0.0.tar.gz
Source38: fail.cabal
Source39: hxt-charproperties-9.2.0.1.tar.gz
Source40: hxt-charproperties.cabal
Source41: pandoc-types-1.17.5.1.tar.gz
Source42: pandoc-types.cabal
Source43: regex-pcre-builtin-0.94.4.8.8.35.tar.gz
Source44: regex-pcre-builtin.cabal
Source45: safe-0.3.17.tar.gz
Source46: safe.cabal
Source47: tagsoup-0.14.6.tar.gz
Source48: tagsoup.cabal
Source49: temporary-1.3.tar.gz
Source50: temporary.cabal
Source51: utf8-string-1.0.1.1.tar.gz
Source52: utf8-string.cabal
Source53: xml-1.3.14.tar.gz
Source54: xml.cabal
Source55: blaze-html-0.9.1.1.tar.gz
Source56: blaze-html.cabal
Source57: aeson-pretty-0.8.7.tar.gz
Source58: aeson-pretty.cabal
Source59: ansi-terminal-0.8.0.4.tar.gz
Source60: ansi-terminal.cabal
Source61: data-default-0.7.1.1.tar.gz
Source62: data-default.cabal
Source63: zip-archive-0.3.3.tar.gz
Source64: zip-archive.cabal
Source65: hslua-0.9.5.2.tar.gz
Source66: hslua.cabal
Source67: hxt-unicode-9.0.2.4.tar.gz
Source68: hxt-unicode.cabal
Source69: hxt-regex-xmlschema-9.2.0.3.tar.gz
Source70: hxt-regex-xmlschema.cabal
Source71: texmath-0.11.0.1.tar.gz
Source72: texmath.cabal
Source73: doctemplates-0.2.2.1.tar.gz
Source74: doctemplates.cabal
Source75: hslua-module-text-0.1.2.1.tar.gz
Source76: hslua-module-text.cabal
Source77: hxt-9.3.1.16.tar.gz
Source78: hxt.cabal
Source79: skylighting-core-0.7.2.tar.gz
Source80: skylighting-core.cabal
Source81: skylighting-0.7.2.tar.gz
Source82: skylighting.cabal

BuildRequires: ghc haskell-platform
BuildRequires: libghc-data-default-class
BuildRequires: libghc-dlist
BuildRequires: libghc-old-locale
BuildRequires: libghc-data-default
BuildRequires: libghc-aeson
BuildRequires: libghc-semigroups
BuildRequires: yaml
BuildRequires: libghc-http-client-tls
BuildRequires: libghc-haddock-library

BuildRequires: zlib-devel
BuildRequires: docbook-utils docbook-utils-pdf docbook-style-xsl

Requires: ghc haskell-platform
Requires: haskell-platform-dep
Requires: libghc-data-default-class
Requires: libghc-dlist
Requires: libghc-old-locale
Requires: libghc-data-default
Requires: libghc-aeson
Requires: libghc-semigroups
Requires: yaml
Requires: libghc-http-client-tls
Requires: libghc-haddock-library

Vendor: Project Vine
Distribution: Vine Linux
Packager: ara_t


%description
Haskell libraries: %{pkg_name}


%build
%ghc_pkg_init

cd %{_builddir}
for pkg in `cat %{SOURCE0}`; do
    %{__tar} xzf %{_sourcedir}/${pkg}.tar.gz
    pushd ${pkg}
        %ghc_fix_dependencies ${pkg}
        %cabal_configure2 %{name} ${pkg}
        %cabal_build
        %cabal_haddock
        %cabal_copy_resister %{name}_${pkg}
    popd
done


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache


%files
%defattr(-, root, root)
%{_bindir}/
%{_libdir}/ghc-%{ghc_version}/
%{_libdir}/ghc-lib/
%{_datadir}/%{name}/
%{_docdir}/%{name}/


%changelog
* Fri Jul 20 2018 Toshiaki Ara <ara_t@384.jp> 2.2.2-1
- update to 2.2.2
- build using ghc-8.4.3

* Fri May 18 2018 Toshiaki Ara <ara_t@384.jp> 2.2.1-2
- correct BuildRequires and Requires (add libghc-data-default)

* Fri May 18 2018 Toshiaki Ara <ara_t@384.jp> 2.2.1-1
- update to 2.2.1
- rebuild using ghc-8.4.2
- rewrite using macro

* Tue Jan 09 2018 Toshiaki Ara <ara_t@384.jp> 2.0.6-1
- update to 2.0.6
- build using ghc-8.2.2

* Tue Feb 21 2017 Toshiaki Ara <ara_t@384.jp> 1.19.2.1-1
- update to 1.19.2.1
- build using ghc-8.0.2

* Fri Feb 03 2017 Toshiaki Ara <ara_t@384.jp> 1.17.1-1
- update to 1.17.1
- build using ghc-8.0.1

* Fri May 06 2016 Toshiaki Ara <ara_t@384.jp> 1.17.0.3-1
- new package
